.levels-archive {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px 16px;

    .level-card {
        width: 100%;
        border-radius: 87px 0 30px 0;
        background: var(--neutral-50);
        box-shadow: 1px 3px 11.4px 2px rgba(130, 130, 130, 0.17);

        .level-card__image {
            padding-top: 96%;
            border-radius: 0 0 70px 0;
        }

        .level-card__content {
            padding: 15px 20px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            gap: 10px;
        }

        .level-card__readmore {
            color: var(--neutral-300);
            font-weight: bold;
            letter-spacing: 1px;
            font-size: 18px;
        }

        .level-card__icon {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            min-width: 40px;
            min-height: 40px;
            border-radius: 50%;
            border: 1px solid var(--neutral-800);
            color: var(--neutral-800);
            transition: 0.5s;
        }

        a:is(:hover, :focus-visible) {
            .level-card__icon {
                color: var(--neutral-50);
                background: var(--neutral-800);
            }
        }
    }
}

.levels-archive__banner {
    position: relative;
}

.levels-archive__logo {
    position: relative !important;
    left: 50%;
    transform: translateX(-50%) translateY(-10%);
    max-width: 100px;
}

.levels-archive__header {
    text-align: center;
    margin-bottom: 50px;

    h2 {
        color: var(--neutral-800);
        text-transform: uppercase;
        font-weight: bold;
        font-size: 1.5rem;
        padding: 0;
    }

    p {
        margin-top: 14px;
        color: var(--neutral-500);
    }
}

@media only screen and (min-width: 576px) {
    .levels-archive {
        .level-card {
            width: calc(50% - 8px);
        }
    }
}

@media only screen and (min-width: 769px) {
    .levels-archive {
        gap: 40px 30px;

        .level-card {
            width: calc(50% - 15px);
        }
    }

    .levels-archive__header {
        h2 {
            font-size: 2.15rem;
        }
    }

    .levels-archive__logo {
        transform: translateX(-50%) translateY(-20%);
        max-width: 150px;
    }
}

@media only screen and (min-width: 992px) {
    .levels-archive {
        gap: 40px 16px;

        .level-card {
            width: calc(33% - 9px);
        }
    }
}

@media only screen and (min-width: 1201px) {
    .levels-archive {
        gap: 40px 30px;

        .level-card {
            width: calc(33% - 17px);
        }
    }

    .levels-archive__logo {
        position: absolute !important;
        transform: translateX(-50%) translateY(-70%);
    }
}

@media only screen and (min-width: 1441px) {
    .levels-archive {
        gap: 40px 16px;

        .level-card {
            width: calc(25% - 12px);
        }
    }

    .levels-archive__logo {
        transform: translateX(-50%) translateY(-100%);
        max-width: 200px;
    }
}
